11.5. updateOrganizationApplication
更新此机构下的应用程序。
PUT /api/v1/organization/{orgname}/applications/{client_id}
授权: oauth2_implicit (org:admin)
路径参数
| 类型 | Name | 描述 | 模式 |
|---|---|---|---|
| path |
client_id | OAuth 客户端 ID | 字符串 |
| path |
需要OrgName | 机构名称 | 字符串 |
请求正文模式(application/json)
更新的应用程序的描述。
| 名称 | 描述 | 模式 |
|---|---|---|
|
name | 应用程序的名称 | 字符串 |
|
redirect_uri | 应用程序的 OAuth 重定向的 URI | 字符串 |
|
application_uri | 应用程序主页的 URI | 字符串 |
|
description | 应用程序的人类可读描述 | 字符串 |
|
avatar_email | 用于应用程序的 avatar 电子邮件地址 | 字符串 |
响应
示例命令
$ curl -X PUT "https://quay-server.example.com/api/v1/organization/test/applications/12345" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Application Name",
"redirect_uri": "https://example.com/oauth/callback",
"application_uri": "https://example.com",
"description": "Updated description for the application",
"avatar_email": "avatar@example.com"
}'